DNSSD::Responder Class Reference

`#include <responder.h>`

Inherits QObject.

Inherited by DNSSD::DomainBrowserPrivate, DNSSD::PublicServicePrivate, DNSSD::QueryPrivate, and DNSSD::RemoteServicePrivate.

## Public Slots

void | process ()

## Public Member Functions

| Responder (DNSServiceRef ref=0, QObject *parent=0, const char *name=0)
bool | isRunning () const
void | setRef (DNSServiceRef ref)
void | stop ()

## Protected Attributes

DNSServiceRef | m_ref
bool | m_running
QSocketNotifier * | m_socket

## Detailed Description

This class should not be used directly.

Author
  Jakub Stachowski Internal class wrapping dns_sd.h interface

Definition at line 43 of file responder.h.

## Member Function Documentation

bool DNSSD::Responder::isRunning | ( |  | ) | const

Returns true if it is possible to use mDNS service publishing and discovery.

It needs mDNSResponder running.

Definition at line 76 of file responder.cpp.

The documentation for this class was generated from the following files:

- responder.h
- responder.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys